# Comments release 1.0.0 by Steven Hartin
# ./addons/eventscripts/comments/comments.py

import es
import os
import langlib
import playerlib
import gamethread

import psyco
psyco.full()

info = es.AddonInfo()
info.name = 'Comments'
info.version = '1.0.0'
info.url = 'http://addons.eventscripts.com/addons/view/comments'
info.basename = 'comments'
info.author = 'Freddukes AKA Pro Noob'

es.ServerVar('comments', info.version, 'Comments Version - Made by Freddukes').makepublic()

def load():
    """
    Registers the commands, and loads up the strings.ini for langlib.
    Raises an error if there is no file.
    """
    global text
    if not es.exists('saycommand', '!box'):
        es.regsaycmd('!box', 'comments/comment_send', 'Command to start a new comment.')
    if not es.exists('clientcommand', '!box'):
        es.regclientcmd('!box', 'comments/comment_send', 'Command to start a new comment.')
    if not es.exists('clientcommand', 'box_send'):
        es.regclientcmd('box_send', 'comments/comment_sent')
        
    langPath = es.getAddonPath('comments') + '/strings.ini'
    if os.path.isfile(langPath):
        text = langlib.Strings(langPath)
    else:
        es.dbgmsg(0,'Comments: - ERROR Unable to load strings.ini! Please ensure it is in the ./comments/ directory.')
    if not text:
        text = 'Missing Language'
        
def round_start(ev):
    for player in es.getUseridList():
        es.tell(player, '#multi', text('advert', {}, playerlib.getPlayer(player).get('lang')))
        
def comment_send():
    """
    Send an escape input box to the user to input his/her comment
    """
    userid = es.getcmduserid()
    es.tell(userid, '#multi', text('insert comments', {}, playerlib.getPlayer(userid).get('lang')))
    es.escinputbox(60, userid, '=== Comments ===', 'Enter a comment', 'box_send')
    
def comment_sent():
    """
    Retrieve Steamid and Name. Load up the comments.txt, then write the lines
    """
    userid  = es.getcmduserid()
    comment = es.getargs()
    steamid = es.getplayersteamid(userid)
    name    = es.getplayername(userid)
    strPath = es.getAddonPath('comments') + '/comments.txt'
    if not os.path.isfile(strPath):
        file(strPath, 'wt')
    commentsFile = open(strPath, 'a')
    commentsFile.writelines('SteamID: %s\t\tName: %s\n\tComment: %s\n\n'%(steamid, name, comment))
    commentsFile.close()
    es.tell(userid, '#multi', text('comment sent', {}, playerlib.getPlayer(userid).get('lang')))
